import { pikku } from "@/pikku/http"
import type { DB } from '@heygermany/sdk'
import { useMutation, useQueryClient } from "@tanstack/react-query"

type EducationUpdatePayload = Partial<Omit<DB.CandidateEducation, 'candidateId' | 'educationId' | 'createdAt' | 'lastUpdatedAt'>>

export const useUpdateCandidateEducation = (candidateId: string) => {
  const queryClient = useQueryClient()

  return useMutation({
    mutationFn: async (data: EducationUpdatePayload) =>
      await pikku().patch("/backoffice/candidate/:candidateId/education", { candidateId, ...data }),
    onSuccess: () => {
      queryClient.invalidateQueries({
        queryKey: ['backoffice', 'candidate', candidateId]
      })
      queryClient.invalidateQueries({
        queryKey: ['candidate', candidateId]
      })
    }
  })
}
